%global gem_name aws-sdk-core

%if 0%{?fedora} && 0%{?fedora} <= 21 || 0%{?rhel} && 0%{?rhel} <= 7
%global use_tests 0
%else
%global use_tests 1
%endif

Name:           rubygem-%{gem_name}
Version:        2.0.11
Release:        0%{?dist}
Summary:        AWS SDK for Ruby - Core

Group:          Development/Languages
License:        ASL 2.0
URL:            http://github.com/aws/aws-sdk-core-ruby
Source0:        https://rubygems.org/gems/%{gem_name}-%{version}.gem
# git clone https://github.com/aws/aws-sdk-core-ruby && cd aws-sdk-core-ruby/aws-sdk-core
# git checkout v2.0.11
# cp -p ../LICENSE.txt ../README.md .
# tar -czf rubygem-aws-sdk-core-2.0.11-repo.tgz features/ spec/ LICENSE.txt README.md
Source1:        rubygem-aws-sdk-core-%{version}-repo.tgz
# https://github.com/aws/aws-sdk-core-ruby/pull/116
Source2:        aws.rb.1
Patch0:         %{name}-http.diff
Patch1:         %{name}-test-plugin.diff

BuildArch:      noarch
BuildRequires:  rubygems-devel > 1.3.1
%if 0%{?use_tests}
BuildRequires:  rubygem(builder) => 3.0
BuildRequires:  rubygem(builder) < 4
BuildRequires:  rubygem(jmespath) >= 1.0
BuildRequires:  rubygem(jmespath) < 2
BuildRequires:  rubygem(multi_json) => 1.0
BuildRequires:  rubygem(multi_json) < 2
BuildRequires:  rubygem(multi_xml) => 0.5
BuildRequires:  rubygem(multi_xml) < 1
BuildRequires:  rubygem(rspec) >= 3
BuildRequires:  rubygem(simplecov)
BuildRequires:  rubygem(webmock)
%endif
%if 0%{?fedora} && 0%{?fedora} <= 20 || 0%{?rhel} && 0%{?rhel} <= 7
Requires:       ruby(release)
Requires:       ruby(rubygems) > 1.3.1
Requires:       rubygem(builder) => 3.0
Requires:       rubygem(builder) < 4
Requires:       rubygem(jmespath) >= 1.0
Requires:       rubygem(jmespath) < 2
Requires:       rubygem(multi_json) => 1.0
Requires:       rubygem(multi_json) < 2
Requires:       rubygem(multi_xml) => 0.5
Requires:       rubygem(multi_xml) < 1
Provides:       rubygem(%{gem_name}) = %{version}
%endif

%description
Provides API clients for AWS.


%package doc
Summary:        Documentation for %{name}
Group:          Documentation
BuildArch:      noarch
Requires:       %{name} = %{version}-%{release}

%description doc
Documentation for %{name}.


%prep
gem unpack %{SOURCE0}

%setup -q -D -T -n %{gem_name}-%{version}

tar xzf %{SOURCE1}
#%patch0 -p2
%patch1 -p2

gem spec %{SOURCE0} -l --ruby > %{gem_name}.gemspec


%build
gem build %{gem_name}.gemspec

%gem_install


%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/

mkdir -p %{buildroot}%{_bindir}
cp -a .%{_bindir}/* \
        %{buildroot}%{_bindir}/

cp -a LICENSE.txt README.md %{buildroot}%{gem_instdir}/

mkdir -p %{buildroot}%{_mandir}/man1
install -p -m 0644 %{SOURCE2} %{buildroot}%{_mandir}/man1/


%check
%if 0%{?use_tests}
cp -a features/ spec/ .%{gem_instdir}/
pushd .%{gem_instdir}
rspec -Ilib spec
rm -rf features/ spec/
popd
%endif


%files
%license %{gem_instdir}/LICENSE.txt
%dir %{gem_instdir}/
%{_bindir}/aws.rb
%{_mandir}/man1/aws.rb.1*
%{gem_instdir}/apis/
%{gem_instdir}/bin/
%{gem_libdir}/
%{gem_spec}
%{gem_instdir}/endpoints.json
%exclude %{gem_cache}

%files doc
%doc %{gem_instdir}/README.md
%doc %{gem_docdir}/


%changelog
* Sat Nov 29 2014 František Dvořák <valtri@civ.zcu.cz> - 2.0.11-0
- Update to 2.0.11
- Enable tests for F22+

* Sat Oct 04 2014 František Dvořák <valtri@civ.zcu.cz> - 2.0.1-1
- Initial package
